Loading...
Searching...
No Matches
ranges::logical_negate< FD > Struct Template Reference
Functional

## Public Member Functions

template<typename T > requires (!same_as<detail::decay_t<T>, logical_negate>) && constructible_from<FD, T>
constexpr | logical_negate (T &&pred)
template<typename... Args> requires predicate<FD &, Args...>
constexpr bool | operator() (Args &&... args) &
template<typename... Args> requires predicate<FD, Args...>
constexpr bool | operator() (Args &&... args) &&
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename... Args> requires predicate<FD const &, Args...>
constexpr bool | operator() (Args &&... args) const &
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.